--- old/usr/src/cmd/hwdata/usb.ids	Thu Sep  4 21:12:21 2014
+++ new/usr/src/cmd/hwdata/usb.ids	Thu Sep  4 21:12:21 2014
@@ -5026,11 +5274,15 @@
 	1004  F9L1004 802.11n Surf N300 XR Wireless Adapter [Realtek RTL8192CU]
 	1102  F7D1102 N150/Surf Micro Wireless Adapter v1000 [Realtek RTL8188CUS]
 	1103  F9L1103 N750 DB 802.11abgn 2x3:3 [Ralink RT3573]
+	1106  F9L1106v1 802.11a/b/g/n/ac Wireless Adapter [Broadcom BCM43526]
+	1109  F9L1109v1 802.11a/b/g/n/ac Wireless Adapter [Realtek RTL8812AU]
+	110a  F9L1101v2 802.11abgn Wireless Adapter [Realtek RTL8192DU]
 	11f2  ISY Wireless Micro Adapter IWL 2000 [RTL8188CUS]
 	1202  F5U120-PC Parallel Printer Port
 	1203  F5U120-PC Serial Port
 	2103  F7D2102 802.11n N300 Micro Wireless Adapter v3000 [Realtek RTL8192CU]
 	21f1  N300 WLAN N Adapter [ISY]
+	21f2  RTL8192CU 802.11n WLAN Adapter [ISY IWL 4000]
 	258a  F5U258 Host to Host cable
 	3101  F1DF102U/F1DG102U Flip Hub
 	3201  F1DF102U/F1DG102U Flip KVM
@@ -5038,7 +5290,7 @@
 	5055  F5D5055 Gigabit Network Adapter [AX88xxx]
 	6050  F6D6050 802.11abgn Wireless Adapter [Broadcom BCM4323]
 	6051  F5D6051 802.11b Wireless Network Adapter [ZyDAS ZD1201]
-	615a  F7D4101 / F9L1101 802.11abgn Wireless Adapter [Broadcom BCM4323]
+	615a  F7D4101 / F9L1101v1 802.11abgn Wireless Adapter [Broadcom BCM4323]
 	7050  F5D7050 Wireless G Adapter v1000/v2000 [Intersil ISL3887]
 	7051  F5D7051 802.11g Adapter v1000 [Broadcom 4320 USB]
 	705a  F5D7050 Wireless G Adapter v3000 [Ralink RT2571W]
@@ -5108,6 +5360,7 @@
 	1080  NET1080 USB-USB Bridge
 	1200  SSDC Adapter II
 	1265  File-backed Storage Gadget
+	3424  Lumidigm Venus fingerprint sensor
 	a0f0  Cambridge Electronic Devices Power1401 mk 2
 	a140  USB Clik! 40
 	a141  (OME) PocketZip 40 MP3 Player Driver
@@ -5117,7 +5370,7 @@
 	a4a2  Linux-USB Ethernet/RNDIS Gadget
 	a4a3  Linux-USB user-mode isochronous source/sink
 	a4a4  Linux-USB user-mode bulk source/sink
-	a4a5  Linux-USB File Storage Gadget
+	a4a5  Pocketbook Pro 903
 	a4a6  Linux-USB Serial Gadget
 	a4a7  Linux-USB Serial Gadget (CDC ACM mode)
 	a4a8  Linux-USB Printer Gadget
@@ -5180,6 +5433,7 @@
 0539  Shyh Shiun Terminals Co., Ltd
 053a  PrehKeyTec GmbH
 	0b00  Hub
+	0b01  Preh MCI 3100
 053b  Global Village Communication
 053c  Institut of Microelectronic & Mechatronic Systems
 053d  Silicon Architect
@@ -5247,6 +5501,8 @@
 	2727  Xircom PGUNET USB-USB Bridge
 	2750  EZ-Link (EZLNKUSB.SYS)
 	2810  Cypress ATAPI Bridge
+	4d90  AmScope MD1900 camera
+	7000  PowerSpec MCE460 Front Panel LED Display
 	7777  Bluetooth Device
 	9999  AN2131 uninitialized (?)
 0548  Tyan Computer Corp.
@@ -5360,6 +5616,7 @@
 	01d0  DVD+RW External Drive DRU-700A
 	01d5  IC RECORDER
 	01de  VRD-VC10 [Video Capture]
+	01e8  UP-DR150 Photo Printer
 	01e9  Net MD
 	01ea  Hi-MD WALKMAN
 	01ee  IC RECORDER
@@ -5414,6 +5671,7 @@
 	0348  HandyCam HDR-TG3E
 	035b  Walkman NWZ-A828
 	035c  NWZ-A726/A728/A729
+	035f  UP-DR200 Photo Printer
 	0382  Memory Stick PRO-HG Duo Adaptor (MSAC-UAH1)
 	0385  Walkman NWZ-E436F
 	0387  IC Recorder (P)
@@ -5427,6 +5685,10 @@
 	0440  DSC-H55
 	0485  MHS-PM5 HD camcorder
 	04cb  WALKMAN NWZ-E354
+	0541  DSC-HX100V [Cybershot Digital Still Camera]
+	0689  Walkman NWZ-B173F
+	06bb  WALKMAN NWZ-F805
+	088c  Portable Headphone Amplifier
 	1000  Wireless Buzz! Receiver
 054d  Try Corp.
 054e  Proside Corp.
@@ -5435,6 +5697,8 @@
 	0002  InkJet Color Printer
 	0004  InkJet Color Printer
 	0005  InkJet Color Printer
+	000b  Workcentre 24
+	014e  CM215b Printer
 0551  CompuTrend Systems, Inc.
 0552  Philips Monitors
 0553  STMicroelectronics Imaging Division (VLSI Vision)
@@ -5472,6 +5736,7 @@
 	4000  DSB-650 10Mbps Ethernet [klsi]
 	7000  Hub
 	7820  UC-2322 2xSerial Ports [mos7820]
+	8021  CS1764A [CubiQ DVI KVMP Switch]
 0558  Truevision, Inc.
 	1009  GW Instek GDS-1000 Oscilloscope
 	100a  GW Instek GDS-1000A Oscilloscope
@@ -5629,6 +5894,7 @@
 	0065  Bamboo
 	0069  Bamboo One
 	0081  Graphire Wireless 6x8
+	0084  Wireless adapter for Bamboo tablets
 	0090  TPC90
 	0093  TPC93
 	009a  TPC9A
@@ -5651,11 +5917,15 @@
 	00cc  Cintiq 21UX (DTK-2100)
 	00d1  Bamboo Pen & Touch (CTH-460-DE)
 	00d3  Bamboo Fun (CTH-661)
+	00d4  Bamboo Pen (CTL-460)
 	00d6  Bamboo Pen & Touch (CTH-460)
 	00db  Bamboo Fun (CTH-661SE-NL)
 	00dd  Bamboo Pen (CTL-470)
+	00de  CTH-470 [Bamboo Fun Pen & Touch]
 	00f6  Cintiq 24HD touch (DTH-2400) touchscreen
 	00f8  Cintiq 24HD touch (DTH-2400) tablet
+	0307  Cintiq Companion Hybrid 13HD (DTH-A1300) tablet
+	0309  Cintiq Companion Hybrid 13HD (DTH-A1300) touchscreen
 	0400  PenPartner 4x5
 	4850  PenPartner 6x8
 056b  Decicon, Inc.
@@ -6099,6 +6369,7 @@
 	341a  NWD-270N Wireless N-lite USB Adapter
 	341e  NWD2105 802.11bgn Wireless Adapter [Ralink RT3070]
 	341f  NWD2205 802.11n Wireless N Adapter [Realtek RTL8192CU]
+	3425  NWD6505 802.11a/b/g/n/ac Wireless Adapter [MediaTek MT7610U]
 	343e  N220 802.11bgn Wireless Adapter
 0587  America Kotobuki Electronics Industries, Inc.
 0588  Sapien Design
@@ -6105,7 +6376,9 @@
 0589  Victron
 058a  Nohau Corp.
 058b  Infineon Technologies
+	0015  Flash Loader utility
 	001c  Flash Drive
+	0041  Flash Loader utility
 058c  In Focus Systems
 	0007  Flash
 	0008  LP130
@@ -6144,7 +6417,7 @@
 	6362  Flash Card Reader/Writer
 	6364  AU6477 Card Reader Controller
 	6366  Multi Flash Reader
-	6377  Multimedia Card Reader
+	6377  AU6375 4-LUN card reader
 	6386  Memory Card
 	6387  Flash Drive
 	6390  USB 2.0-IDE bridge
@@ -6168,8 +6441,10 @@
 	9472  Keyboard Hub
 	9510  ChunghwaTL USB02 Smartcard Reader
 	9520  EMV Certified Smart Card Reader
+	9540  AU9540 Smartcard Reader
 	9720  USB-Serial Adapter
 	a014  Asus Integrated Webcam
+	b002  Acer Integrated Webcam
 0590  Omron Corp.
 	0004  Cable Modem
 	000b  MR56SVS
@@ -6187,6 +6462,7 @@
 	0001  Touchscreen
 	0002  Touch Screen Controller
 	0500  PCT Multitouch HID Controller
+	0543  DELL XPS touchscreen
 0597  Trisignal Communications
 0598  Niigata Canotec Co., Inc.
 0599  Brilliance Semiconductor, Inc.
@@ -6211,6 +6487,7 @@
 	0060  PCMCIA PocketZip Dock
 	0061  Varo PocketZip 40 MP3 Player
 	006d  HipZip MP3 Player
+	0070  eGo Portable Hard Drive
 	007c  Ultra Max USB/1394
 	007d  HTC42606 0G9AT00 [Iomega HDD]
 	007e  Mini 256MB/512MB Flash Drive [IOM2D5]
@@ -6247,7 +6524,10 @@
 	0213  PocketDrive USB2
 	0323  LaCie d2 Drive USB2
 	0421  Big Disk G465
+	0525  BigDisk Extreme 500
 	0641  Mobile Hard Drive
+	0829  BigDisk Extreme+
+	100c  Rugged Triple Interface Mobile Hard Drive
 	1010  Desktop Hard Drive
 	1019  Desktop Hard Drive
 	1021  Little Disk
@@ -6255,6 +6535,7 @@
 	102a  Rikiki Hard Drive
 	1049  rikiki Harddrive
 	1052  P'9220 Mobile Drive
+	1064  Rugged 16 and 32 GB
 	a601  HardDrive
 	a602  CD R/W
 05a0  Vetronix Corp.
@@ -6269,6 +6550,8 @@
 	9722  Keyboard
 	9731  MCK-600W/MCK-800USB Keyboard
 	9783  Wireless Keypad
+	9837  Targus Number Keypad
+	9862  Targus Number Keypad (Composite Device)
 	9881  IR receiver [VRC-1100 Vista MCE Remote Control]
 05a5  Sampo Technology Corp.
 05a6  Cisco Systems, Inc.
@@ -6344,7 +6627,7 @@
 	0223  Internal Keyboard/Trackpad (ANSI)
 	0224  Internal Keyboard/Trackpad (ISO)
 	0225  Internal Keyboard/Trackpad (JIS)
-	0229  Internal Keyboard/Trackpad (MacBook Pro) (ANSI)
+	0229  Internal Keyboard/Trackpad (ANSI)
 	022a  Internal Keyboard/Trackpad (MacBook Pro) (ISO)
 	022b  Internal Keyboard/Trackpad (MacBook Pro) (JIS)
 	0230  Internal Keyboard/Trackpad (MacBook Pro 4,1) (ANSI)
@@ -6371,7 +6654,7 @@
 	0263  Apple Internal Keyboard / Trackpad (MacBook Retina)
 	0301  USB Mouse [Mitsumi, M4848]
 	0302  Optical Mouse [Fujitsu]
-	0304  Optical USB Mouse [Mitsumi]
+	0304  Mighty Mouse [Mitsumi, M1152]
 	0306  Optical USB Mouse [Fujitsu]
 	030a  Internal Trackpad
 	030b  Internal Trackpad
@@ -6382,9 +6665,11 @@
 	1002  Extended Keyboard Hub [Mitsumi]
 	1003  Hub in Pro Keyboard [Mitsumi, A1048]
 	1006  Hub in Aluminum Keyboard
+	1008  Mini DisplayPort to Dual-Link DVI Adapter
 	1101  Speakers
 	1105  Audio in LED Cinema Display
 	1107  Thunderbolt Display Audio
+	1112  FaceTime HD Camera (Display)
 	1201  3G iPod
 	1202  iPod 2G
 	1203  iPod 4.Gen Grayscale 40G
@@ -6412,6 +6697,7 @@
 	1263  iPod Nano 4.Gen
 	1265  iPod Nano 5.Gen
 	1266  iPod Nano 6.Gen
+	1267  iPod Nano 7.Gen
 	1281  Apple Mobile Device [Recovery Mode]
 	1290  iPhone
 	1291  iPod Touch 1.Gen
@@ -6422,13 +6708,19 @@
 	1297  iPhone 4
 	1299  iPod Touch 3.Gen
 	129a  iPad
+	129c  iPhone 4(CDMA)
 	129e  iPod Touch 4.Gen
 	129f  iPad 2
 	12a0  iPhone 4S
 	12a2  iPad 2 (3G; 64GB)
+	12a3  iPad 2 (CDMA)
+	12a4  iPad 3 (wifi)
+	12a5  iPad 3 (CDMA)
 	12a6  iPad 3 (3G, 16 GB)
+	12a8  iPhone5/5C/5S
 	12a9  iPad 2
 	12aa  iPod Touch 5.Gen [A1421]
+	12ab  iPad 4 (WiFi, 32GB)
 	1300  iPod Shuffle
 	1301  iPod Shuffle 2.Gen
 	1302  iPod Shuffle 3.Gen
@@ -6436,6 +6728,9 @@
 	1401  Modem
 	1402  Ethernet Adapter [A1277]
 	1500  SuperDrive [A1379]
+	8005  OHCI Root Hub Simulation
+	8006  EHCI Root Hub Simulation
+	8007  XHCI Root Hub USB 2.0 Simulation
 	8202  HCF V.90 Data/Fax Modem
 	8203  Bluetooth HCI
 	8204  Built-in Bluetooth 2.0+EDR HCI
@@ -6454,6 +6749,7 @@
 	8240  Built-in IR Receiver
 	8241  Built-in IR Receiver
 	8242  Built-in IR Receiver
+	8281  Bluetooth Host Controller
 	8286  Bluetooth Host Controller
 	8300  Built-in iSight (no firmware loaded)
 	8403  Internal Memory Card Reader
@@ -6467,6 +6763,7 @@
 	850a  FaceTime Camera
 	8510  FaceTime HD Camera (Built-in)
 	911c  Hub in A1082 [Cinema HD Display 23"]
+	9127  Hub in Thunderbolt Display
 	912f  Hub in 30" Cinema Display
 	9215  Studio Display 15"
 	9217  Studio Display 17"
@@ -6535,6 +6832,7 @@
 	9201  Gobi Wireless Modem (QDL mode)
 	9202  Gobi Wireless Modem
 	9203  Gobi Wireless Modem
+	9205  Gobi 2000
 	9211  Acer Gobi Wireless Modem (QDL mode)
 	9212  Acer Gobi Wireless Modem
 	9214  Acer Gobi 2000 Wireless Modem (QDL mode)
@@ -6562,7 +6860,10 @@
 	0103  FO13FF-65 PC-CAM
 	021a  HP Webcam
 	0318  Webcam
+	0361  SunplusIT INC. HP Truevision HD Webcam
+	036e  Webcam
 	0403  Webcam
+	041b  HP 2.0MP High Definition Webcam
 05c9  Semtech Corp.
 05ca  Ricoh Co., Ltd
 	0101  RDC-5300 Camera
@@ -6808,6 +7109,7 @@
 	4d02  MP3 Player
 	4d12  MP3 Player
 	4d30  MP3 Player
+	a209  JumpDrive S70
 	a300  JumpDrive2
 	a400  JumpDrive trade; Pro 40-501
 	a410  JumpDrive 128MB/256MB
@@ -6828,12 +7130,15 @@
 	a560  JumpDrive FireFly
 	a701  JumpDrive FireFly
 	a731  JumpDrive FireFly
+	a768  JumpDrive Retrax
 	a790  JumpDrive 2GB
 	a811  16GB Gizmo!
 	a813  16gB flash thumb drive
+	a815  JumpDrive V10
 	b002  USB CF Reader
 	b018  Multi-Card Reader
 	b047  SDHC Reader [RW047-7000]
+	ba02  Workflow CFR1
 	c753  JumpDrive TwistTurn
 05dd  Delta Electronics, Inc.
 	ff31  AWU-120
@@ -6882,7 +7187,7 @@
 	0605  USB 2.0 Hub
 	0606  USB 2.0 Hub / D-Link DUB-H4 USB 2.0 Hub
 	0607  Logitech G110 Hub
-	0608  USB-2.0 4-Port HUB
+	0608  Hub
 	0610  4-port hub
 	0660  USB 2.0 Hub
 	0700  SIIG US2256 CompactFlash Card Reader
@@ -6907,10 +7212,15 @@
 	0717  All-in-1 Card Reader
 	0718  IDE/SATA Adapter
 	0719  SATA adapter
+	0722  SD/MMC card reader
 	0723  GL827L SD/MMC/MS Flash Card Reader
 	0726  SD Card Reader
 	0727  microSD Reader/Writer
+	0731  GL3310 SATA 3Gb/s Bridge Controller
+	0732  All-in-One Cardreader
 	0736  microSD Reader/Writer
+	0741  microSD Card Reader
+	0743  SDXC and microSDXC CardReader
 	0760  USB 2.0 Card Reader/Writer
 	0761  Genesys Mass Storage Device
 	0780  USBFS DFU Adapter
@@ -6952,6 +7262,7 @@
 	0007  Kinesis Advantage PRO MPC/USB Keyboard
 	0081  Kinesis Integrated Hub
 	00ff  VEC Footpedal
+	0203  Y-mouse Keyboard & Mouse Adapter
 	020b  PS2 Adapter
 	0232  X-Keys Switch Interface, Programming Mode
 	0261  X-Keys Switch Interface, SPLAT Mode
@@ -6961,8 +7272,11 @@
 05f7  RFC Distribution(s) PTE, Ltd
 05f9  PSC Scanning, Inc.
 	1104  Magellan 2200VS
+	2202  Point of Sale Handheld Scanner
 	2206  Datalogic Gryphon GFS4170
+	2601  Datalogin Magellan 1000i Barcode Scanner
 	2602  Datalogic Magellan 1100i Barcode Scanner
+	4204  Datalogic Gryphon GFS4470 Fixed Scanner
 	5204  Datalogic Gryphon GFS4170 (config mode)
 05fa  Siemens Telecommunications Systems, Ltd
 	3301  Keyboard with PS/2 Mouse Port
@@ -6988,6 +7302,7 @@
 	0011  Browser Mouse
 	0014  Gamepad
 	1010  Optical Wireless
+	2001  Microsoft Wireless Receiver 700
 05ff  LeCroy Corp.
 0600  Barco Display Systems
 0601  Jazz Hipster Corp.
@@ -6996,6 +7311,7 @@
 	1001  ViCam Webcam
 0603  Novatek Microelectronics Corp.
 	00f1  Keyboard
+	00f2  Keyboard (Labtec Ultra Flat Keyboard)
 	6871  Mouse
 0604  Jean Co., Ltd
 0605  Anchor C&C Co., Ltd
@@ -7015,6 +7331,7 @@
 	2101  Keyboard
 	2231  KSK-6001 UELX Keyboard
 	2270  Gigabyte K8100 Aivia Gaming Keyboard
+	5253  Thermaltake MEKA G-Unit Gaming Keyboard
 	5811  ACK-571U Wireless Keyboard
 	5903  Japanese Keyboard - 595U
 	6001  SolidTek USB 2p HUB
@@ -7065,6 +7382,9 @@
 0622  Iotech, Inc.
 0623  Littelfuse, Inc.
 0624  Avocent Corp.
+	0248  Virtual Hub
+	0249  Virtual Keyboard/Mouse
+	0251  Virtual Mass Storage
 	0294  Dell 03R874 KVM dongle
 	0402  Cisco Virtual Keyboard and Mouse
 	0403  Cisco Virtual Mass Storage
@@ -7124,6 +7444,7 @@
 	1000  CD-ROM Drive
 	800d  TASCAM Portastudio DP-01FX
 	800e  TASCAM US-122L
+	801d  DR-100
 	8021  TASCAM US-122mkII
 	d001  CD-R/RW Unit
 	d002  CD-R/RW Unit
@@ -7152,10 +7473,12 @@
 	a103  Acer/HP Integrated Webcam [CN0314]
 	a110  HP Webcam
 	a114  Lemote Webcam
+	a116  UVC 1.3MPixel WebCam
 	a136  Asus Integrated Webcam [CN031B]
 	a219  1.3M WebCam (notebook emachines E730, Acer sub-brand)
 	c107  HP webcam [dv6-1190en]
 	d101  Acer CrystalEye Webcam
+	d217  HP TrueVision HD
 	e201  Lenovo Integrated Webcam
 	e203  Lenovo Integrated Webcam
 	e258  HP TrueVision HD Integrated Webcam
@@ -7183,7 +7506,7 @@
 0658  Sigma Designs, Inc.
 0659  Aethra
 065a  Optoelectronics Co., Ltd
-	0001  Barcode scanner / NLV-1001 (keyboard mode)
+	0001  Opticon OPR-2001 / NLV-1001 (keyboard mode)
 	0009  NLV-1001 (serial mode) / OPN-2001 [Opticon]
 065b  Tracewell Systems
 065e  Silicon Graphics
@@ -7377,6 +7700,7 @@
 	2517  Flash Disk Mass Storage Device
 	2528  Storage device (8gB thumb drive)
 	25a1  PL25A1 Host-Host Bridge
+	2773  PL2773 SATAII bridge controller
 	3400  Hi-Speed Flash Disk with TruePrint AES3400
 	3500  Hi-Speed Flash Disk with TruePrint AES3500
 	3507  PL3507 ATAPI6 Bridge
@@ -7473,11 +7797,12 @@
 068e  CH Products, Inc.
 	00d3  OEM 3 axis 5 button joystick
 	00e2  HFX OEM Joystick
+	00f0  Multi-Function Panel
 	00f1  Pro Throttle
 	00f2  Flight Sim Pedals
 	00f3  Fighterstick
 	00f4  Combatstick
-	00fa  Flight Sim Pedals
+	00fa  Ch Throttle Quadrant
 	00ff  Flight Sim Yoke
 	0500  GameStick 3D
 	0501  CH Pro Pedals
@@ -7498,6 +7823,7 @@
 	2003  CTX M730V built in Camera
 	9999  VLxxxx Monitor+Hub
 0699  Tektronix, Inc.
+	0347  AFG 3022B
 069a  Askey Computer Corp.
 	0001  VC010 Webcam [pwc]
 	0303  Cable Modem
@@ -7641,6 +7967,11 @@
 06bc  Oki Data Corp.
 	000b  Okipage 14ex Printer
 	0027  Okipage 14e
+	00f7  OKI B4600 Mono Printer
+	015e  OKIPOS 411/412 POS Printer
+	01c9  OKI B430 Mono Printer
+	020b  OKI ES4140 Mono Printer
+	02bb  OKI PT390 POS Printer
 	0a91  B2500MFP (printer+scanner)
 	3801  B6100 Laser Printer
 06bd  AGFA-Gevaert NV
@@ -7670,6 +8001,7 @@
 06bf  Leoco Corp.
 06c2  Phidgets Inc. (formerly GLAB)
 	0030  PhidgetRFID
+	0031  RFID reader
 	0038  4-Motor PhidgetServo v3.0
 	0039  1-Motor PhidgetServo v3.0
 	003a  8-Motor PhidgetAvancedServo
@@ -7761,6 +8093,7 @@
 	0622  LapLink Gold USB-USB Bridge [net1080]
 06d1  Daewoo Electronics Co., Ltd
 06d3  Mitsubishi Electric Corp.
+	0284  FX-USB-AW/-BD RS482 Converters
 	0380  CP8000D Port
 	0381  CP770D Port
 	0385  CP900D Port
@@ -7770,6 +8103,8 @@
 	0393  CP9500D/DW Port
 	0394  CP9000D/DW Port
 	03a1  CP9550D/DW Port
+	3b30  CP-D70DW / CP-D707DW
+	3b31  CP-K60DW-S
 06d4  Cisco Systems
 06d5  Toshiba
 	4000  Japanese Keyboard
@@ -7800,10 +8135,12 @@
 	0014  Prolink Winscan Pro 2448U
 06de  Heisei Electronics Co., Ltd
 06e0  Multi-Tech Systems, Inc.
+	0319  MT9234ZBA-USB MultiModem ZBA
 	f101  MT5634ZBA-USB MultiModemUSB (old firmware)
 	f103  MT5634MU MultiMobileUSB
 	f104  MT5634ZBA-USB MultiModemUSB (new firmware)
 	f107  MT5634ZBA-USB-V92 MultiModemUSB
+	f120  MT9234ZBA-USB-CDC-ACM-XR MultiModem ZBA CDC-ACM-XR
 06e1  ADS Technologies, Inc.
 	0008  UBS-10BT Ethernet [klsi]
 	0009  UBS-10BT Ethernet
@@ -8030,6 +8367,7 @@
 	0008  ACR 80 Smart Card Reader
 	1000  PLDT Drive
 	1001  PLDT Drive
+	2200  ACR122U
 	8002  AET63 BioTRUSTKey
 	8003  ACR120
 	8103  ACR120
@@ -8187,6 +8525,8 @@
 	0501  CP1500 AVR UPS
 0765  X-Rite, Inc.
 	5001  Huey PRO Colorimeter
+	5020  i1 Display Pro
+	6003  ColorMunki Smile
 	d094  X-Rite DTP94 [Quato Silver Haze Pro]
 0766  Jess-Link Products Co., Ltd
 	001b  Packard Bell Go
@@ -8280,8 +8620,12 @@
 	540e  Cruzer Contour Flash Drive
 	5530  Cruzer
 	5567  Cruzer Blade
+	556c  Ultra
+	556d  Memory Vault
 	5571  Cruzer Fit
+	5576  Cruzer Facet
 	5580  SDCZ80 Flash Drive
+	5581  Ultra
 	5e10  Encrypted
 	6100  Ultra II SD Plus 2GB
 	7100  Cruzer Mini
@@ -8322,6 +8666,7 @@
 	74c3  Sansa Fuze V2 (msc)
 	74d0  Sansa Clip+ (mtp)
 	74d1  Sansa Clip+ (msc)
+	74e5  Sansa Clip Zip
 	8181  Pen Flash
 	8183  Hi-Speed Mass Storage Device
 	8185  SDCZ2 Cruzer Mini Flash Drive (older, thick)
@@ -8405,15 +8750,21 @@
 	8911  ScanHex SX-35c
 0798  Optelec
 	0001  Braille Voyager
+	0640  BC640
+	0680  BC680
 0799  Altera
 	7651  Programming Unit
 079b  Sagem
+	0024  MSO300/MSO301 Fingerprint Sensor
+	0026  MSO350/MSO351 Fingerprint Sensor & SmartCard Reader
 	0027  USB-Serial Controller
 	002f  Mobile
 	0030  Mobile Communication Device
 	0042  Mobile
+	0047  CBM/MSO1300 Fingerprint Sensor
 	004a  XG-760A 802.11bg
 	004b  Wi-Fi 11g adapter
+	0052  MSO1350 Fingerprint Sensor & SmartCard Reader
 	0056  Agfa AP1100 Photo Printer
 	005d  Mobile Mass Storage
 	0062  XG-76NA 802.11bg
@@ -8442,7 +8793,8 @@
 	0017  FEther USB2-TX
 	0018  Wireless LAN USB-11 mini 2
 	001a  ULUSB-11 Key
-	001c  CG-WLUSB2GTST 802.11g Wireless Adapter [Intersil ISL3887]
+	001c  CG-WLUSB2GT 802.11g Wireless Adapter [Intersil ISL3880]
+	0020  CG-WLUSB2GTST 802.11g Wireless Adapter [Intersil ISL3887]
 	002e  CG-WLUSB2GPX [Ralink RT2571W]
 	002f  CG-WLUSB2GNL
 	0031  CG-WLUSB2GS 802.11bg [Atheros AR5523]
@@ -8537,13 +8889,19 @@
 	0113  Mju 500
 	0114  C-350Z Camera
 	0118  Mju Mini Digital/Mju Digital 500 Camera / Stylus 850 SW
+	0125  Tough TG-1 Camera
 	0184  P-S100 port
+	0202  Foot Switch RS-26
 	0203  Digital Voice Recorder DW-90
 	0206  Digital Voice Recorder DS-330
 	0207  Digital Voice Recorder & Camera W-10
 	0209  Digital Voice Recorder DM-20
+	020b  Digital Voice Recorder DS-4000
 	020d  Digital Voice Recorder VN-240PC
+	0211  Digital Voice Recorder DS-2300
+	0218  Foot Switch RS-28
 	0244  Digital Voice Recorder VN-8500PC
+	024f  Digital Voice Recorder DS-7000
 	0280  m:robe 100
 07b5  Mega World International, Ltd
 	0017  Joystick
@@ -8575,6 +8933,7 @@
 	420a  UF200 Ethernet
 	5301  GW-US54ZGL 802.11bg
 	6001  802.11bg
+	8188  AboCom Systems Inc [WN2001 Prolink Wireless-N Nano Adapter]
 	a001  WUG2200 802.11g Wireless Adapter [Envara WiND512]
 	abc1  DU-E10 Ethernet [pegasus]
 	b000  BWU613
@@ -8640,6 +8999,7 @@
 	a200  DF-UT-06 Hama MMC/SD Reader
 	a400  CompactFlash & Microdrive Reader
 	a600  Card Reader
+	a604  12-in-1 Card Reader
 	ad01  Mass Storage Device
 	ae01  Mass Storage Device
 	af01  Mass Storage Device
@@ -8651,6 +9011,7 @@
 	b00b  USB to Memory Stick(LC1)
 	c010  Kingston FCR-HS2/ATA Card Reader
 07c5  APG Cash Drawer
+	0500  Cash Drawer
 07c6  ShareWave, Inc.
 	0002  Bodega Wireless Access Point
 	0003  Bodega Wireless Network Adapter
@@ -8674,6 +9035,7 @@
 	a815  AVerTV DVB-T Volar X (A815)
 	a827  AVerTV Hybrid Volar HX (A827)
 	a867  AVerTV DVB-T (A867)
+	b300  A300 DVB-T TV receiver
 	b800  MR800 FM Radio
 	e880  MPEG-2 Capture Device (E880)
 	e882  MPEG-2 Capture Device (E882)
@@ -8873,6 +9235,7 @@
 0802  Mako Technologies, LLC
 0803  Zoom Telephonics, Inc.
 	1300  V92 Faxmodem
+	3095  V.92 56K Mini External Modem Model 3095
 	4310  4410a Wireless-G Adapter [Intersil ISL3887]
 	4410  4410b Wireless-G Adapter [ZyDAS ZD1211B]
 	5241  Cable Modem
@@ -9007,6 +9370,7 @@
 	4505  SMCWUSB-G 802.11bg
 	4507  SMCWUSBT-G2 802.11g Wireless Adapter [Atheros AR5523]
 	4521  Siemens S30863-S1016-R107-2 802.11g Wireless Adapter [Intersil ISL3887]
+	4531  T-Com Sinus 154 data II [Intersil ISL3887]
 	5046  SpeedStream 10/100 Ethernet [pegasus]
 	5501  Wireless Adapter 11g
 	6500  Cable Modem
@@ -9044,6 +9408,7 @@
 	1002  Ethernet
 	1020  FA101 Fast Ethernet USB 1.1
 	1040  FA120 Fast Ethernet USB 2.0 [Asix AX88172 / AX8817x]
+	1100  Managed Switch M4100 series, M5300 series, M7100 series
 	4110  MA111(v1) 802.11b Wireless [Intersil Prism 3.0]
 	4200  WG121(v1) 54 Mbps Wireless [Intersil ISL3886]
 	4210  WG121(v2) 54 Mbps Wireless [Intersil ISL3886]
@@ -9063,10 +9428,15 @@
 	9012  WNDA4100 802.11abgn 3x3:3 [Ralink RT3573]
 	9018  WNDA3200 802.11abgn Wireless Adapter [Atheros AR7010+AR9280]
 	9020  WNA3100(v1) Wireless-N 300 [Broadcom BCM43231]
+	9021  WNA3100M(v1) Wireless-N 300 [Realtek RTL8192CU]
 	9030  WNA1100 Wireless-N 150 [Atheros AR9271]
 	9040  WNA1000 Wireless-N 150 [Atheros AR9170+AR9101]
 	9041  WNA1000M 802.11bgn [Realtek RTL8188CUS]
+	9042  On Networks N150MA 802.11bgn [Realtek RTL8188CUS]
+	9050  A6200 802.11a/b/g/n/ac Wireless Adapter [Broadcom BCM43526]
+	9052  A6100 AC600 DB Wireless Adapter [Realtek RTL8811AU]
 	a001  PA101 10 Mbps HPNA Home Phoneline RJ-1
+	f001  On Networks N300MA 802.11bgn [Realtek RTL8192CU]
 084d  Minton Optic Industry Co., Inc.
 	0001  Jenoptik JD800i
 	0003  S-Cam F5/D-Link DSC-350 Digital Camera
@@ -9117,7 +9487,10 @@
 	8023  2 port to Serial
 	8027  PGSDB9 Serial Port
 085c  ColorVision, Inc.
-	0200  Monitor Spyder
+	0100  Spyder 1
+	0200  Spyder 2
+	0300  Spyder 3
+	0400  Spyder 4
 0862  Teletrol Systems, Inc.
 0863  Filanet Corp.
 0864  NetGear, Inc.
@@ -9201,6 +9574,8 @@
 	5036  Portable secure storage for software licenses
 0892  DioGraphy, Inc.
 	0101  Smartdio Reader/Writer
+0894  TSI Incorporated
+	0010  Remote NDIS Network Device
 0897  Lauterbach
 	0002  Power Debug/Power Debug II
 089c  United Technologies Research Cntr.
@@ -9219,6 +9594,10 @@
 	0014  USBee AX-Pro
 	0015  USBee DX
 08ae  Macally (Mace Group, Inc.)
+08b0  Metrohm
+	0006  814 Sample Processor
+	0015  857 Titrando
+	001a  852 Titrando
 08b4  Sorenson Vision, Inc.
 08b7  NATSU
 	0001  Playstation adapter
@@ -9334,8 +9713,9 @@
 	0102  ADSL
 	0301  RNIS
 08e4  Pioneer Corp.
+	0185  DDJ-WeGO2
 08e5  Litronic
-08e6  Gemplus
+08e6  Gemalto (was Gemplus)
 	0001  GemPC-Touch 430
 	0430  GemPC430 SmartCard Reader
 	0432  GemPC432 SmartCard Reader
@@ -9349,6 +9729,7 @@
 	34ec  Compact Smart Card Reader Writer
 	4433  GemPC433-Swap
 	5501  GemProx-PU Contactless Smart Card Reader
+	5503  Prox-DU Contactless Interface
 	ace0  UA HYBRID TOKEN
 08e7  Pan-International Wire & Cable
 08e8  Integrated Memory Logic
@@ -9502,8 +9883,10 @@
 	0001  Hard Drive Adapter (TPP)
 	0002  SigmaDrive Adapter (TPP)
 0906  Faraday Technology Corp.
-0908  ShenZhen SANZHAI Technology Co.,Ltd
-	2701  Spy Pen VGA
+0908  Siemens AG
+	01f4  SIMATIC NET CP 5711
+	01fe  SIMATIC NET PC Adapter A2
+	2701  ShenZhen SANZHAI Technology Co.,Ltd Spy Pen VGA
 0909  Audio-Technica Corp.
 090a  Trumpion Microelectronics, Inc.
 	1001  T33520 Flash Card Controller
@@ -9586,8 +9969,10 @@
 	2380  Oregon series
 	23cc  nüvi 1350
 	2459  GPSmap 62/78 series
+	2491  Edge 800
 	2519  eTrex 30
 	2535  Edge 800
+	253c  GPSmap 62sc
 	255b  Nuvi 2505LM
 0920  Echelon Co.
 	7500  Network Interface
@@ -9596,8 +9981,10 @@
 0922  Dymo-CoStar Corp.
 	0007  LabelWriter 330
 	0009  LabelWriter 310
+	0019  LabelWriter 400
 	001a  LabelWriter 400 Turbo
 	0020  LabelWriter 450
+	1001  LabelManager PnP
 0923  IC Media Corp.
 	010f  SIIG MobileCam
 0924  Xerox
@@ -9612,6 +9999,7 @@
 	fffb  DocuPrint M750 (X750_USB)
 0925  Lakeview Research
 	0005  Gamtec.,Ltd SmartJoy PLUS Adapter
+	03e8  Wii Classic Controller Adapter
 	3881  Saleae Logic
 	8101  Phidgets, Inc., 1-Motor PhidgetServo v2.0
 	8104  Phidgets, Inc., 4-Motor PhidgetServo v2.0
@@ -9630,6 +10018,7 @@
 	0009  Gigabeat F/X (HDD audio player)
 	000c  Gigabeat F (mtp)
 	0010  Gigabeat S (mtp)
+	0200  Integrated Bluetooth (Taiyo Yuden)
 	0301  PCX1100U Cable Modem (WDM)
 	0302  PCX2000 Cable Modem (WDM)
 	0305  Cable Modem PCX3000
@@ -9652,8 +10041,10 @@
 	070a  Pocket PC e400 Series
 	070b  Pocket PC e800 Series
 	0a07  WLM-10U1 802.11abgn Wireless Adapter [Ralink RT3572]
+	0a13  AX88179 Gigabit Ethernet [Toshiba]
 	0b05  PX1220E-1G25 External hard drive
 	0b09  PX1396E-3T01 External hard drive
+	0b1a  STOR.E ALU 2S
 	1300  Wireless Broadband (CDMA EV-DO) SM-Bus Minicard Status Port
 	1301  Wireless Broadband (CDMA EV-DO) Minicard Status Port
 	1302  Wireless Broadband (3G HSDPA) SM-Bus Minicard Status Port
@@ -9703,7 +10094,7 @@
 	653e  Flash Memory
 	6540  TransMemory Flash Memory
 	6544  Kingston DataTraveler 2.0 Stick (2GB)
-	6545  Kingston DataTraveler 102 Flash Drive / HEMA Flash Drive 2 GB / PNY Attache 4GB Stick
+	6545  Kingston DataTraveler 102/2.0 / HEMA Flash Drive 2 GB / PNY Attache 4GB Stick
 0931  Harmonic Data Systems, Ltd
 0932  Crescentec Corp.
 	0300  VideoAdvantage
@@ -9716,10 +10107,11 @@
 0933  Quantum Corp.
 0934  Spirent Communications
 0936  NuTesla
+	000c  Rhythmedics 6 BioData Integrator
 	0030  Composite Device, Mass Storage Device (Flash Drive) amd HID
 	003c  Rhythmedics HID Bootloader
 0939  Lumberg, Inc.
-	0b15  Toshiba Stor.E Alu 2 1TB (PX1710E-1HJ0)
+	0b15  Toshiba Stor.E Alu 2
 093a  Pixart Imaging, Inc.
 	0007  CMOS 100K-R Rev. 1.90
 	010e  Digital camera, CD302N/Elta Medi@ digi-cam/HE-501A
@@ -9732,6 +10124,7 @@
 	2471  SoC PC-Camera
 	2500  USB Optical Mouse
 	2510  Optical Mouse
+	2521  Optical Mouse
 	2600  Typhoon Easycam USB 330K (newer)/Typhoon Easycam USB 2.0 VGA 1.3M/Sansun SN-508
 	2601  SPC 610NC Laptop Camera
 	2603  PAC7312 Camera
@@ -9739,6 +10132,7 @@
 	260e  PAC7311 Gigaware VGA PC Camera:Trust WB-3350p:SIGMA cam 2350
 	260f  PAC7311 SnakeCam
 	2621  PAC731x Trust Webcam
+	2622  Webcam Genius
 	2624  Webcam
 093b  Plextor Corp.
 	0010  Storage Adapter
@@ -9805,6 +10199,7 @@
 	1643  DataTraveler G3
 	1653  Data Traveler 100 G2 8 GiB
 	1656  DataTraveler Ultimate G2
+	1665  Digital DataTraveler SE9 64GB
 	1689  DataTraveler SE9
 	168a  DataTraveler Micro
 	168c  DT Elite 3.0
@@ -9812,6 +10207,7 @@
 0955  NVidia Corp.
 	7030  Tegra 3 (recovery mode)
 	7100  Notion Ink Adam
+	7820  Tegra 2 AC100 developer mode
 	b400  SHIELD (debug)
 	b401  SHIELD
 0956  BSquare Corp.
@@ -9818,8 +10214,10 @@
 0957  Agilent Technologies, Inc.
 	0200  E-Video DC-350 Camera
 	0202  E-Video DC-350 Camera
+	0407  33220A Waveform Generator
 	0518  82357B GPIB Interface
 	0a07  34411A Multimeter
+	1507  33210A Waveform Generator
 	1745  Test and Measurement Device (IVI)
 	2918  U2702A oscilloscope
 0958  CompuLink Research, Inc.
@@ -9831,7 +10229,7 @@
 095c  K-Tec Electronics
 095d  Polycom, Inc.
 	0001  Polycom ViaVideo
-0967  Acer (??)
+0967  Acer NeWeb Corp.
 	0204  WarpLink 802.11b Adapter
 0968  Catalyst Enterprises, Inc.
 096e  Feitian Technologies, Inc.
@@ -9839,9 +10237,11 @@
 	0802  ePass2000 (G&D STARCOS SPK 2.4)
 	0807  ePass2003
 0971  Gretag-Macbeth AG
+	2000  i1 Pro
+	2001  i1 Monitor
 	2003  Eye-One display
 	2005  Huey
-	2007  ColorMunki
+	2007  ColorMunki Photo
 0973  Schlumberger
 	0001  e-gate Smart Card
 0974  Datagraphix, a business unit of Anacomp
@@ -9850,6 +10250,7 @@
 0977  Lightsurf Technologies
 0978  Beckhoff GmbH
 0979  Jeilin Technology Corp., Ltd
+	0222  Keychain Display
 	0224  JL2005A Toy Camera
 	0226  JL2005A Toy Camera
 	0227  JL2005B/C/D Toy Camera
@@ -9880,6 +10281,7 @@
 099a  Zippy Technology Corp.
 	0638  Sanwa Supply Inc. Small Keyboard
 	610c  EL-610 Super Mini Electron luminescent Keyboard
+	713a  WK-713 Multimedia Keyboard
 	7160  Hyper Slim Keyboard
 09a3  PairGain Technologies
 09a4  Contech Research, Inc.
@@ -9944,13 +10346,14 @@
 09d1  NeoMagic, Inc.
 09d2  Vreelin Engineering, Inc.
 09d3  Com One
-	0001  ISDN TA
+	0001  ISDN TA / Light Rider 128K
+	000b  Bluetooth Adapter class 1 [BlueLight]
 09d7  Novatel Wireless
 	0100  NovAtel FlexPack GPS receiver
 09d9  KRF Tech, Ltd
-09da  A4 Tech Co., Ltd
+09da  A4Tech Co., Ltd.
 	0006  Optical Mouse WOP-35 / Trust 450L Optical Mouse
-	000a  Optical Mouse Opto 510D
+	000a  Optical Mouse Opto 510D / OP-620D
 	000e  X-F710F Optical Mouse 3xFire Gaming Mouse
 	0018  Trust Human Interface Device
 	001a  Wireless Mouse & RXM-15 Receiver
@@ -9961,7 +10364,8 @@
 	032b  Wireless Mouse (Battery Free)
 	8090  X-718BK Oscar Optical Gaming Mouse
 	9033  X-718BK Optical Mouse
-	9090  XL-750BK Laser Mouse
+	9066  F3 V-Track Gaming Mouse
+	9090  XL-730K / XL-750BK / XL-755BK Mice
 09db  Measurement Computing Corp.
 	0075  MiniLab 1008
 	0076  PMD-1024
@@ -10017,6 +10421,8 @@
 	00d0  ADU208 Relay I/O Interface
 	00da  ADU218 Solid-State Relay I/O Interface
 0a0b  Cybex Computer Products Co.
+0a0d  Servergy, Inc
+	2514  CTS-1000 Internal Hub
 0a11  Xentec, Inc.
 0a12  Cambridge Silicon Radio, Ltd
 	0001  Bluetooth Dongle (HCI mode)
@@ -10114,6 +10520,7 @@
 	5023  Mass Storage Device
 	5024  Mass Storage Device
 	5025  Mass Storage Device
+0a4a  Ploytec GmbH
 0a4b  Fujitsu Media Devices, Ltd
 0a4c  Computex Co., Ltd
 	15d9  OPTICAL MOUSE
@@ -10224,6 +10631,7 @@
 	6300  Pirelli Remote NDIS Device
 	bd11  TiVo AG0100 802.11bg Wireless Adapter [Broadcom BCM4320]
 	bd13  BCM4323 802.11abgn Wireless Adapter
+	bd16  BCM4319 802.11bgn Wireless Adapter
 	bd17  BCM43236 802.11abgn Wireless Adapter
 	d11b  Eminent EM4045 [Broadcom 4320 USB]
 0a5d  Diatrend Corp.
@@ -10231,6 +10639,7 @@
 	0009  LP2844 Printer
 	0081  GK420t Label Printer
 	008b  HC100 wristbands Printer
+	00d1  Zebra GC420d Label Printer
 	930a  Printer
 0a62  MPMan
 	0010  MPMan MP-F40 MP3 Player
@@ -10375,6 +10784,7 @@
 0ab0  Arrow Strong Electronics Co., Ltd
 0ab1  FEIG ELECTRONIC GmbH
 	0002  OBID RFID-Reader
+	0004  OBID classic-pro
 0aba  Ellisys
 	8001  Tracker 110 Protocol Analyzer
 	8002  Explorer 200 Protocol Analyzer
@@ -10408,6 +10818,8 @@
 	c303  Saturn USB 2.0 Camera
 	c326  Namuga 1.3M Webcam
 	c33f  Webcam
+	c429  Lenovo ThinkCentre Web Camera
+	c42d  Lenovo IdeaCentre Web Camera
 0ac9  Micro Solutions, Inc.
 	0000  Backpack CD-ReWriter
 	0001  BACKPACK  2 Cable
@@ -10423,6 +10835,8 @@
 	0300  IDT1221U RS-232 Adapter
 	0401  Spectrum III Hybrid Smartcard Reader
 	0630  Spectrum III Mag-Only Insert Reader (SPT3-355 Series) USB-CDC
+	0810  SecurePIN (IDPA-506100Y) PIN Pad
+	2030  ValueMag Magnetic Stripe Reader
 0ace  ZyDAS
 	1201  ZD1201 802.11b
 	1211  ZD1211 802.11g
@@ -10490,6 +10904,8 @@
 0af9  Hama, Inc.
 	0010  USB SightCam 100
 	0011  Micro Innovations IC50C Webcam
+0afa  DMC Co., Ltd.
+	07d2  Controller Board for Projected Capacitive Touch Screen DUS3000
 0afc  Zaptronix Ltd
 0afd  Tateno Dennou, Inc.
 0afe  Cummins Engine Co.
@@ -10496,11 +10912,12 @@
 0aff  Jump Zone Network Products, Inc.
 0b00  INGENICO
 0b05  ASUSTek Computer, Inc.
+	0001  MeMO Pad HD 7 (CD-ROM mode)
 	1101  Mass Storage (UISDMC4S)
 	1706  WL-167G v1 802.11g Adapter [Ralink RT2571]
 	1707  WL-167G v1 802.11g Adapter [Ralink RT2571]
 	1708  Mass Storage Device
-	170b  Mass Storage Device
+	170b  Multi card reader
 	170c  WL-159g 802.11bg
 	170d  802.11b/g Wireless Network Adapter
 	1712  BT-183 Bluetooth 2.0+EDR adapter
